RDKit: RDKit::GenericGroups Namespace Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Namespaces | Functions | Variables
RDKit::GenericGroups Namespace Reference

## Namespaces
namespace | Matchers

## Functions
RDKIT_GENERICGROUPS_EXPORT ROMol * | adjustQueryPropertiesWithGenericGroups (const ROMol &mol, const MolOps::AdjustQueryParameters *inParams=nullptr)
RDKIT_GENERICGROUPS_EXPORT bool | genericAtomMatcher (const ROMol &mol, const ROMol &query, const std::span< const unsigned int > &match)
RDKIT_GENERICGROUPS_EXPORT void | setGenericQueriesFromProperties (ROMol &mol, bool useAtomLabels=true, bool useSGroups=true)
| sets the apropriate generic query tags based on atom labels and/or SGroups
RDKIT_GENERICGROUPS_EXPORT void | convertGenericQueriesToSubstanceGroups (ROMol &mol)

## Variables
static const std::map< std::string, std::function< bool(const ROMol &, const Atom &, boost::dynamic_bitset<>)> > | genericMatchers

## Function Documentation

## ◆ adjustQueryPropertiesWithGenericGroups()

RDKIT_GENERICGROUPS_EXPORT ROMol * RDKit::GenericGroups::adjustQueryPropertiesWithGenericGroups | ( | const ROMol & | mol,
|  | const MolOps::AdjustQueryParameters * | inParams = nullptr )

References RDKIT_GENERICGROUPS_EXPORT.

## ◆ convertGenericQueriesToSubstanceGroups()

RDKIT_GENERICGROUPS_EXPORT void RDKit::GenericGroups::convertGenericQueriesToSubstanceGroups | ( | ROMol & | mol | ) |

References RDKIT_GENERICGROUPS_EXPORT.

## ◆ genericAtomMatcher()

RDKIT_GENERICGROUPS_EXPORT bool RDKit::GenericGroups::genericAtomMatcher | ( | const ROMol & | mol,
|  | const ROMol & | query,
|  | const std::span< const unsigned int > & | match )

returns false if any of the molecule's generic atoms are not satisfied in the current match

References RDKIT_GENERICGROUPS_EXPORT.

## ◆ setGenericQueriesFromProperties()

RDKIT_GENERICGROUPS_EXPORT void RDKit::GenericGroups::setGenericQueriesFromProperties | ( | ROMol & | mol,
|  | bool | useAtomLabels = true,
|  | bool | useSGroups = true )

sets the apropriate generic query tags based on atom labels and/or SGroups

References RDKIT_GENERICGROUPS_EXPORT.

## Variable Documentation

## ◆ genericMatchers

const std::map< std::string, std::function<bool(const ROMol &, const Atom &, boost::dynamic_bitset<>)> > RDKit::GenericGroups::genericMatchers
| static

Definition at line 528 of file GenericGroups.h.